Bug 1276503 - [abrt] webkitgtk4: WTF::RefCountedBase::derefBase(): WebKitWebProcess killed by SIGSEGV
[abrt] webkitgtk4: WTF::RefCountedBase::derefBase(): WebKitWebProcess killed ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:36a9c373b912d02ad3b1b1a9d3a...
:
: 1459293 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 17:47 EDT by Peter
Modified: 2017-08-31 00:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 19:51:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (80.27 KB, text/plain)
2015-10-29 17:47 EDT, Peter
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-29 17:47 EDT, Peter
no flags Details
File: core_backtrace (6.05 KB, text/plain)
2015-10-29 17:47 EDT, Peter
no flags Details
File: dso_list (19.56 KB, text/plain)
2015-10-29 17:47 EDT, Peter
no flags Details
File: environ (1.50 KB, text/plain)
2015-10-29 17:47 EDT, Peter
no flags Details
File: exploitable (100 bytes, text/plain)
2015-10-29 17:47 EDT, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-29 17:47 EDT, Peter
no flags Details
File: maps (118.37 KB, text/plain)
2015-10-29 17:47 EDT, Peter
no flags Details
File: mountinfo (3.60 KB, text/plain)
2015-10-29 17:47 EDT, Peter
no flags Details
File: open_fds (14.57 KB, text/plain)
2015-10-29 17:47 EDT, Peter
no flags Details
File: proc_pid_status (1016 bytes, text/plain)
2015-10-29 17:47 EDT, Peter
no flags Details

  None (edit)
Description Peter 2015-10-29 17:47:04 EDT
Version-Release number of selected component:
webkitgtk4-2.10.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 20
crash_function: WTF::RefCountedBase::derefBase
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     9626
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WTF::RefCountedBase::derefBase at /usr/src/debug/webkitgtk-2.10.2/Source/WTF/wtf/RefCounted.h:106
 #1 WTF::RefCounted<WebCore::MediaPlayerRequestInstallMissingPluginsCallback>::deref at /usr/src/debug/webkitgtk-2.10.2/Source/WTF/wtf/RefCounted.h:145
 #2 WTF::derefIfNotNull<WebCore::MediaPlayerRequestInstallMissingPluginsCallback> at /usr/src/debug/webkitgtk-2.10.2/Source/WTF/wtf/PassRefPtr.h:42
 #3 WTF::RefPtr<WebCore::MediaPlayerRequestInstallMissingPluginsCallback>::operator=(decltype(nullptr)) at /usr/src/debug/webkitgtk-2.10.2/Source/WTF/wtf/RefPtr.h:141
 #4 WebCore::MediaPlayerPrivateGStreamer::<lambda(uint32_t)>::operator() at /usr/src/debug/webkitgtk-2.10.2/Source/WebCore/platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.cpp:1032
 #5 std::_Function_handler<void(unsigned int), WebCore::MediaPlayerPrivateGStreamer::handleMessage(GstMessage*)::<lambda(uint32_t)> >::_M_invoke(const std::_Any_data &, <unknown type in /usr/lib/debug/usr/lib64/libwebkit2gtk-4.0.so.37.11.5.debug, CU 0x65ad5b83, DIE 0x65b55507>) at /usr/include/c++/5.1.1/functional:1871
 #6 std::function<void (unsigned int)>::operator()(unsigned int) const at /usr/include/c++/5.1.1/functional:2271
 #7 WebCore::MediaPlayerRequestInstallMissingPluginsCallback::complete at /usr/src/debug/webkitgtk-2.10.2/Source/WebCore/platform/graphics/gstreamer/MediaPlayerRequestInstallMissingPluginsCallback.h:45
 #8 WebKit::WebPage::didEndRequestInstallMissingMediaPlugins at /usr/src/debug/webkitgtk-2.10.2/Source/WebKit2/WebProcess/WebPage/gstreamer/WebPageGStreamer.cpp:53
 #9 IPC::callMemberFunctionImpl<WebKit::WebPage, void (WebKit::WebPage::*)(unsigned int), std::tuple<unsigned int>, 0ul>(WebKit::WebPage*, void (WebKit::WebPage::*)(unsigned int), std::tuple<unsigned int>&&, std::index_sequence<0ul>) at /usr/src/debug/webkitgtk-2.10.2/Source/WebKit2/Platform/IPC/HandleMessage.h:16
Comment 1 Peter 2015-10-29 17:47:10 EDT
Created attachment 1087706 [details]
File: backtrace
Comment 2 Peter 2015-10-29 17:47:12 EDT
Created attachment 1087707 [details]
File: cgroup
Comment 3 Peter 2015-10-29 17:47:13 EDT
Created attachment 1087708 [details]
File: core_backtrace
Comment 4 Peter 2015-10-29 17:47:17 EDT
Created attachment 1087709 [details]
File: dso_list
Comment 5 Peter 2015-10-29 17:47:18 EDT
Created attachment 1087710 [details]
File: environ
Comment 6 Peter 2015-10-29 17:47:20 EDT
Created attachment 1087711 [details]
File: exploitable
Comment 7 Peter 2015-10-29 17:47:21 EDT
Created attachment 1087712 [details]
File: limits
Comment 8 Peter 2015-10-29 17:47:24 EDT
Created attachment 1087713 [details]
File: maps
Comment 9 Peter 2015-10-29 17:47:26 EDT
Created attachment 1087714 [details]
File: mountinfo
Comment 10 Peter 2015-10-29 17:47:30 EDT
Created attachment 1087715 [details]
File: open_fds
Comment 11 Peter 2015-10-29 17:47:31 EDT
Created attachment 1087716 [details]
File: proc_pid_status
Comment 12 Michael Catanzaro 2016-03-01 19:51:08 EST
Crash server says it's probably fixed in 2.10.3.
Comment 13 Michael Catanzaro 2017-08-31 00:15:58 EDT
(In reply to Michael Catanzaro from comment #12)
> Crash server says it's probably fixed in 2.10.3.

Crash server was wrong
Comment 14 Michael Catanzaro 2017-08-31 00:16:18 EDT
*** Bug 1459293 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.